<?php

declare(strict_types=1);

namespace KimaAI\Ai\Providers\Http;

final class HttpRequest {
  public function __construct(
    public string $method,
    public string $url,
    public array $headers = [],
    public array $payload = [],
    public int $timeout = 300
  ) {
  }
}
